.modal{
  position: fixed;
  top: 1rem;
  left: 0;
  width: 100%;
  z-index: 1000;
  display: none;
  opacity: 0;
}
.modal.show{
  display: block;
  opacity: 1;
  -webkit-animation: modalOpen .4s;
  animation: modalOpen .4s;
}

.modal-dialog{
  margin: auto;
  width: 96%;
  max-width: $sm;
}
.modal .modal-md{
  max-width: $md;
}
.modal .modal-lg{
  max-width: $lg;
}
.modal .modal-xl{
  max-width: $xl;
}
.modal .modal-xxl{
  max-width: $xxl;
}

.modal-content{
  background: $white;
  box-shadow: 0 0 1.25rem rgba($black,.5);
  border: $border;
}

.modal-header{
  padding: $padding-y $padding-x;
  border-bottom: $border;
  display: flex;
  justify-content: space-between;
}

.modal-title{
  display: flex;
  align-items: center;
  margin: 0;
}

.modal-body{
  padding: $padding-y $padding-x;
  min-height: 5rem;
}

.modal-footer{
  padding: $padding-y $padding-x;
  border-top: $border;
  display: flex;
  justify-content: end;
}

.backdrop{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba($black, .5);
  z-index: 900;
}

@keyframes modalOpen {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}